package com.example.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class WzScoreVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private String city;
    private double dailyNum;
    private double highNum;
    private double idleRate;                         //闲置率=闲/(出+闲)
    private double rAbleRate;                        //可出租率=(出+闲)/(自+出+闲)
    private double rArrearsRate;                     //出租欠费率=欠费合同/合同总数
    private double unitPricePerSquareMeter;          //每平米单价=不含税总价/租期/面积
    private List<WzScoreVo> children;
}
