package com.example.entity.vo.housemanager;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class HouseYearVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String city;
    private String county;
    private String cityName;
    private String countyName;
    private boolean flag;
    private int oneLevelYear=0;     //1-10年
    private int twoLevelYear=0;     //11-20年
    private int thrLevelYear=0;     //21-30年
    private int fouLevelYear=0;     //31-40年
    private int fivLevelYear=0;     //41-50年
    private int sixLevelYear=0;     //50年以上
    private double average;
    private List<HouseYearVo> children;
}