package com.example.enums;

public enum ListBuildingHighSporadicRepairOrderEnum {
    /**
     * 二级单位
     */
    city("area_name"),
    /**
     * 建筑别名
     */
    buildingAlias("building_name"),
    /**
     * 维修时间
     */
    date("repair_year_month"),
    /**
     * 维修类型
     */
    repairType("repair_type"),
    /**
     * 维修内容
     */
    repairContent("repair_content"),
    /**
     * 维修金额
     */
    erpMoney("amount"),
    /**
     * 本年超1万元次数
     */
    num("total"),
    /**
     * 局址编号
     */
    siteNum("site_num"),
    /**
     * 局址别名
     */
    siteName("site_name"),
    ;

    private final String columnName;

    ListBuildingHighSporadicRepairOrderEnum(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnName() {
        return columnName;
    }
}
