package com.example.pojo.vo;

import com.example.entity.house.HouseSitePo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class ListSiteNameVo {
    @Schema(description = "局址id")
    private String siteId;
    @Schema(description = "局址别名")
    private String siteName;

    public ListSiteNameVo(HouseSitePo po) {
        this.siteId = po.getSiteId();
        this.siteName = po.getSiteName();
    }
}
