package com.example.service;

import com.example.entity.WzHouseMaintenaCostEntity;
import com.example.entity.WzScoreVo;
import com.example.entity.vo.DailyModifyVo;
import com.example.entity.vo.HighFrequencyVo;
import com.example.utils.Query;

import java.util.List;
import java.util.Map;

public interface WzHouseMaintenaCostService {

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<WzHouseMaintenaCostEntity> queryList(Map<String, Object> map);


    int queryTotal(Map<String, Object> map);


    int queryTotal1(Map<String, Object> map);

    List<WzHouseMaintenaCostEntity> queryHighPrice(Map map);

    List<DailyModifyVo> queryDailyModify(Query query);

    List<HighFrequencyVo> queryHighFrequency(Query query);

    int queryDailyModifyTotal(Query query1);

    List<WzHouseMaintenaCostEntity> queryList1(Map map);

    List<String> getBuildingNameCode(Query query);

    int queryBuildDetailByCodeTotal(Query query1);

    List<String> getBuildingNameAlias(Query query);

    int getBuildingNameAliasTotal(Query query1);

    List<WzScoreVo> queryDailyModifyByScore(Map<String, Object> map);
}
