package com.example.service.impl;

import com.example.dao.WzHouseArrearsManageDao;
import com.example.entity.OtnAreaEntity;
import com.example.entity.WzHouseArrearsManageEntity;
import com.example.service.WzHouseArrearsManageService;
import com.example.service.WzOtnAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class WzHouseArrearsManageServiceImpl implements WzHouseArrearsManageService {

    @Autowired
    private WzOtnAreaService otnAreaService;
    @Autowired
    private WzHouseArrearsManageDao wzHouseArrearsManageDao;

    @Override
    public List<WzHouseArrearsManageEntity> queryList(Map<String, Object> map) {
        if(map.get("city")!=null&&!map.get("city").toString().equals("全省")&&!map.get("city").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("city").toString());
            map.put("city",city.getName());
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("全省")){
            map.remove("city");
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("")){
            map.remove("city");
        }
        if(map.get("county")!=null&&!map.get("county").toString().equals("区县")&&!map.get("county").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("county").toString());
            map.put("county",city.getName());
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("区县")){
            map.remove("county");
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("")){
            map.remove("county");
        }
        if(map.get("statisticalMonth")!=null&&!map.get("statisticalMonth").toString().equals("")&&!map.get("statisticalMonth").toString().equals("账期")){
            map.put("statisticalMonth",Integer.valueOf(map.get("statisticalMonth").toString()));
        }else{
            //查找最新月份的数据
            String month=wzHouseArrearsManageDao.getLastMonth();
            map.put("statisticalMonth",Integer.valueOf(month));
        }
        return wzHouseArrearsManageDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        if(map.get("city")!=null&&!map.get("city").toString().equals("全省")&&!map.get("city").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("city").toString());
            map.put("city",city.getName());
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("全省")){
            map.remove("city");
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("")){
            map.remove("city");
        }
        if(map.get("county")!=null&&!map.get("county").toString().equals("区县")&&!map.get("county").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("county").toString());
            map.put("county",city.getName());
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("区县")){
            map.remove("county");
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("")){
            map.remove("county");
        }
        return wzHouseArrearsManageDao.queryTotal(map);
    }

}
