package com.example.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

@Data
public class WzLandManageDetailsEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;                          //行ID
    private String province;                     //资产所属单位(一级)
    private String city;                         //资产所属单位(二级)
    private String county;                       //资产所属单位(三级)
    private String landAlias;                    //土地别名
    private String landNature;                   //土地性质
    private String usageRightsType;              //使用权类型
    private String landUse;                      //地类用途
    private String getDate;                      //取得日期
    private String idelLandBegindate;          //闲置开始时间
    private String buildingNameAlias;          //局址别名
    private String standardAddress;            //标准地址
    private String investmentEntity;          //投资主体
    private String managementHierarchy;       //管理层级
    private String ownershipStatus;           //权属状态
    private String useState;                  //使用状态
    private String totalLandArea;      //土地总面积(㎡)
    private String landSelfUseArea;  //土地自用面积(㎡)
    private String landIdelUseArea;  //土地闲置面积(㎡)
    private String landRentUseArea;   //土地出租面积(㎡)
    private String lanNoUnavailableArea;  //土地不可使用面积(㎡)
    private String landCertificate;    //是否有土地证
    private String noLandCertificateReason;         //无土地证原因
    private String protectLandRisk;  //是否有保地风险
    private String clearingLand;  //是否空地
    private String courtyard;    //是否有院落
    private String unrelatedAssets;  //未关联资产
    private String assetCode; //资产编号
    private String astsLabe;  //资产标签号
    private String responsibleDepartment;   //责任部门
    private String responsiblePerson;  //部门人
    private String buildingLongitude;  //房屋经度
    private String buildingDimension;  //房屋纬度
    private String buildingActualPropertyOwner;  //实际产权人
    private String specialInstructions;  //特殊说明
    private String useAreaIdelArea;  //使用面积-闲置(㎡)
    private String useAreaUnavailableArea;   //使用面积-不可使用(㎡)
    private String landManageName;   //楼长姓名
    private String landManageCompany;  //楼长所在单位
    private String landLongitude;  //土地经度
    private String landDimension;  //土地纬度
    private String landActualPropertyOwner; //土地实际产权人
    private String buildingAddressNumber;   //局址别名
    private String cityName;
    private String countyName;
}
