package com.example.entity.house;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@NoArgsConstructor
@Data
public class HouseBuildingHighSporadicRepairPo {
    /**
     * 账期
     */
    private Integer yearMonth;
    /**
     * 建筑id
     */
    private String buildingId;
    /**
     * 建筑别名
     */
    private String buildingName;
    /**
     * 维修年月
     */
    private Integer repairYearMonth;
    /**
     * 维修类型
     */
    private String repairType;
    /**
     * 维修内容
     */
    private String repairContent;
    /**
     * 维修金额
     */
    private BigDecimal amount;
    /**
     * 本年超1万元次数
     */
    private Integer total;
    /**
     * 二级组织机构编码
     */
    private String areaNo;
    /**
     * 二级组织机构名称
     */
    private String areaName;
    /**
     * 三级组织机构编码
     */
    private String cityNo;
    /**
     * 三级组织机构名称
     */
    private String cityName;
    /**
     * 局址id
     */
    private String siteId;
    /**
     * 局址编号
     */
    private String siteNum;
    /**
     * 局址别名
     */
    private String siteName;
}
