package com.example.entity.house;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class HouseBuildingIdleRepairPo {
    /**
     * 账期
     */
    private Integer yearMonth;

    /**
     * 建筑id
     */
    private String buildingId;

    /**
     * 建筑别名
     */
    private String buildingName;

    /**
     * 维修类型
     */
    private String repairType;

    /**
     * 维修内容
     */
    private String repairContent;

    /**
     * 维修金额
     */
    private BigDecimal amount;

    /**
     * 局址id
     */
    private String siteId;

    /**
     * 局址别名
     */
    private String siteName;

    /**
     * 局址编号
     */
    private String siteNum;

    /**
     * 二级组织机构编码
     */
    private String areaNo;

    /**
     * 二级组织机构名称
     */
    private String areaName;

    /**
     * 三级组织机构编码
     */
    private String cityNo;

    /**
     * 三级组织机构名称
     */
    private String cityName;

    /**
     * 标准地址
     */
    private String address;

    /**
     * 使用状态
     */
    private String usageStatus;

    /**
     * 建筑面积
     */
    private BigDecimal buildingArea;

    /**
     * 建筑面积自用
     */
    private BigDecimal buildingAreaSelfUse;

    /**
     * 建筑面积出租
     */
    private BigDecimal buildingAreaRent;

    /**
     * 建筑面积闲置
     */
    private BigDecimal buildingAreaIdle;

    /**
     * 建筑面积不可使用
     */
    private BigDecimal buildingAreaUnusable;
}
