package com.example.utils;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class Page {
    @Schema(description = "页码", example = "1")
    @NotNull
    private Integer pageNum;
    @Schema(description = "每页个数", example = "10")
    @NotNull
    private Integer pageSize;
}
