package com.example;

import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.DataSourceConfig;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;

public class MybatisPlusGeneratorTest {
    public static void main(String[] args) {
        FastAutoGenerator.create(
                new DataSourceConfig.Builder("jdbc:postgresql://172.16.107.5:5432/financialdb",
                        "finance",
                        "Finance@unicom23").schema("house"))
                .globalConfig(builder -> {
                    builder.outputDir("z:/").disableOpenDir();
                })
                .strategyConfig(builder -> {
                    builder.addInclude("building_repair_month")
                            .entityBuilder()
                            .disableSerialVersionUID()
                            .enableFileOverride()
                            .enableLombok();
                })
                .templateEngine(new FreemarkerTemplateEngine())
                .execute();
    }
}
